###################################################################################################################################################
# Custom table for various various purpose
###################################################################################################################################################

from accpac import *
from datetime import date
from winreg import *
import base64
import os


def main(args):
	MyUI()

class MyUI(UI):
	def __init__(self):
		UI.__init__(self)
		self.createScreen()

	def createScreen(self):
		self.title = "My Screen Title" #Can define any name to the screen top
		#self.minHeight = 5000

		self.canResize = True
		#self.defaultWidth = 13200
		#self.defaultHeight = 6000

		layout = LayoutControl()

		## Before adding the buttons:
		layout.addLine()

		#c = layout.addLayout()
		#c.growHeight = True

		## Add the buttons:
		layout = self.addButtons(layout)
		
		self.setLayout(layout)
		
		self.onClose = self.onBtnClose_Click
		

		self.show()

	def addButtons(self, layout):
	
		self.removeControl("btnProcess")
		self.removeControl("btnClose")

		btn = self.addButton("btnProcess", "&Process") #Button for doing something.
		layout.addControl("btnProcess")
		btn.width = 1065
		btn.onClick = self.onBtnProcess_Click
		self.btnRefresh = btn
		
		layout.addSpacer() # this takes up any available space

		btn = self.addButton("btnClose", "&Close") #Button for Close
		layout.addControl("btnClose")
		btn.width = 1065
		btn.onClick = self.onBtnClose_Click
		self.btnClose = btn
		
		return layout

	def onBtnProcess_Click(self):
		## when pressing this button, the script calls another script.
		## Use the Script class.
		
		script = Script()
		script.name = "myOtherScript.py"
		script.getLatest()
		
		## if no arguments are being sent, then the routine in the target script must have no arguments.
		script.addParameter("parm=100")
		# script.addParameter("parm2=200")
		
		## the routine being called first when the script is initiated.
		## Does not have to be main. Can be another function.
		result = script.run("main")
		
		showMessageBox(result, "Result from the script myOtherScript")
		


	def onBtnClose_Click(self):
		self.closeUI()
		
